
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Java - Springboot / 憋错料</title>

    <meta name="description" content="Java - Springboot 注解 @SpringBootApplication:@Configuration + @EnableAutoConfiguration + @ComponentScan @EnableAutoConfiguration:自动配置springboot @ComponentScan:自动扫描和装配所有的Spring组件,包括@Configuration类 @SpringBootApplication public class AfvappApplication { public static voi">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Java - Springboot</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<h2>注解</h2>
<p>@SpringBootApplication：@Configuration + @EnableAutoConfiguration + @ComponentScan</p>
<ul>
<li>@EnableAutoConfiguration：自动配置springboot</li>
<li>@ComponentScan：自动扫描和装配所有的Spring组件，包括@Configuration类</li>
</ul>
<pre><code>@SpringBootApplication
public class AfvappApplication {
	public static void main(String[] args) {
		SpringApplication.run(AfvappApplication.class, args);
	}
}
</code></pre>
<p>@Controller：类注解，控制器层，类中方法配合@RequestMapping</p>
<p>@RestController：类注解，控制器层，REST风格，@Controller + @ResponseBody</p>
<pre><code>@RestController
@RequestMapping(&quot;/demo&quot;)
public class DemoController {
    @RequestMapping(value = &quot;/hello&quot;, method = RequestMethod.GET)
    public String hello() { ... }
}
</code></pre>
<p>@Repository：确保DAO或者repositories提供异常转译</p>
<pre><code>@Repository
public interface SqlserverMapper {
    List&lt;String&gt; listVerifyRecords();
}
</code></pre>
<p>@Qualifier：@Qualifier(“name”) + @Autowired</p>
<p>@Resource：</p>
<pre><code>@Autowired
@Qualifier(value = &quot;sqlserverDataSource&quot;)
private DataSource sqlserverDataSource;

@Resource(name = &quot;yt_MATHandleServiceImpl&quot;)
private MATHandleService ytService;
@Resource(name = &quot;cw_MATHandleServiceImpl&quot;)
private MATHandleService cwService;
</code></pre>
<p>全局异常处理</p>
<p>@ControllerAdvice：包含@Component，可以被扫描到，统一处理异常</p>
<p>@ExceptionHandler（Exception.class）：方法注解，表示遇到该异常就执行以下方法</p>
<p>其他注解</p>
<pre><code>@Service：类注解，服务层
@Component：泛指组件
</code></pre>

<p>原文地址：https://www.cnblogs.com/wjcx-sqh/p/12708253.html</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-29 09:26:39 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.biecuoliao.com/tag/data/" title="data">data</a>, <a href="https://www.biecuoliao.com/tag/ble/" title="ble">ble</a>, <a href="https://www.biecuoliao.com/tag/%e7%bb%9f%e4%b8%80/" title="统一">统一</a>, <a href="https://www.biecuoliao.com/tag/get/" title="get">get</a>, <a href="https://www.biecuoliao.com/tag/config/" title="config">config</a>, <a href="https://www.biecuoliao.com/tag/record/" title="record">record</a>, <a href="https://www.biecuoliao.com/tag/%e6%b3%a8%e8%a7%a3/" title="注解">注解</a>, <a href="https://www.biecuoliao.com/tag/ali/" title="ali">ali</a>, <a href="https://www.biecuoliao.com/tag/vat/" title="vat">vat</a>        </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Java - Springboot的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0kv8E7M.html" rel="bookmark">java~springboot~目录索引</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				回到占占推荐博客索引 最近写了不过关于java,spring,微服务的相关文章,今天把它整理一下,方便大家学习与参考. java~springboot~目录索引 Java~关于开发工具和包包 Java~类,抽象类和接口 Java~时间戳小知识 Java~命名规范 IntelliJ IDEA~gradle环境配置 springboot~环境搭建与Helloworld springboot~Compiler时开启插件的注解功能 springboot~基于单元测试的mongodb springboot			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0lx5XN0.html" rel="bookmark">JAVA springboot微服务b2b2c电子商务系统-springboot集成swagger2，构建优雅的Restful API（十一）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				swagger,中文&quot;拽&quot;的意思.它是一个功能强大的api框架,它的集成非常简单,不仅提供了在线文档的查阅,而且还提供了在线文档的测试.另外swagger很容易构建restful风格的api,简单优雅帅气,正如它的名字. 一.引入依赖 &lt;dependency&gt; &lt;groupId&gt;io.springfox&lt;/groupId&gt; &lt;artifactId&gt;springfox-swagger2&lt;/artifactId&gt; &lt;vers			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MPxOyzM.html" rel="bookmark">java  springboot调用第三方接口  借助hutoool工具类  爬坑</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				楼主是个后端小白一枚,之前没接触过后端,只学了java基本语法,还是在学校老师教的,学的很浅,什么ssh.ssm框架都没有学,最近在自学spring boot,看书学也看不是很懂,就在b站上看教学视频,大概看了几个老师讲的,最后选了尚硅谷的视频,老师讲的很好,有点偏向底层源码解析,讲的很细,对我这个新手小白来说也不知道好不好,反正我就是跟着看了.最近接到超哥布置的一个任务,spring boot调用第三方接口,下面就讲讲我这个新手小白是怎么一步一步磕出来结果的,顺便记录一下,免得我后面忘了. 首			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3Z25mg3.html" rel="bookmark">kafka&plus;windows&plus;java&plus;springboot中的配置</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1.百度kafka+zookeeper+windows配置 1.1  zookeeper配置 dataDir=/tmp/zookeeper # the port at which the clients will connect clientPort=2181 # disable the per-ip limit on the number of connections since this is a non-production config maxClientCnxns=0 1.2 kafk			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0jz1wZ0.html" rel="bookmark">Java SpringBoot集成RabbitMq实战和总结</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				目录 交换器.队列.绑定的声明 关于消息序列化 同一个队列多消费类型 注解将消息和消息头注入消费者方法 关于消费者确认 关于发送者确认模式 消费消息.死信队列和RetryTemplate RPC模式的消息(不常用) 关于消费模型 关于RabbitMq客户端的线程模型 在公司里一直在用RabbitMQ,由于api已经封装的很简单,关于RabbitMQ本身还有封装的实现没有了解,最近在看RabbitMQ实战这本书,结合网上的一些例子和spring文档,实现了RabbitMQ和spring的集成,对着			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3wm6ebM.html" rel="bookmark">ABAP和Java SpringBoot的单元测试</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ABAP 在ABAP类里,本地类(Local Class)里用关键字FOR TESTING声明过的方法, 在单元测试启动后会自动被调用到. Spring Boot 在Spring及Spring Boot &quot;Convention over configuration&quot;的设定思路里,放在路径src/test/java下面以Tests.java结尾的Java类会被当成单元测试类处理. 对上述项目执行命令行mvn clean install后,报错误消息: java.lang.IllegalS			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MzlQaO3.html" rel="bookmark">企业级java springboot b2bc商城系统二次开发-springboot整合mongodb（八）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				准备工作 安装 MongoDB jdk 1.8 maven 3.0 idea 环境依赖 在pom文件引入spring-boot-starter-data-mongodb依赖: &lt;dependency&gt; &lt;groupId&gt;org.springframework.boot&lt;/groupId&gt; &lt;artifactId&gt;spring-boot-starter-data-mongodb&lt;/artifactId&gt; &lt;/dependency&gt; 数据			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0YZLVW3.html" rel="bookmark">JAVA springboot ssm b2b2c多用户商城系统源码（六） 分布式配置中心&lpar;Spring Cloud Config&rpar;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.简介 在分布式系统中,由于服务数量巨多,为了方便服务配置文件统一管理,实时更新,所以需要分布式配置中心组件.在Spring Cloud中,有分布式配置中心组件spring cloud config ,它支持配置服务放在配置服务的内存中(即本地),也支持放在远程Git仓库中.在spring cloud config 组件中,分两个角色,一是config server,二是config client. 二.构建Config Server 创建一个spring-boot项目,取名为config-s			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/3rLng9M.html" rel="bookmark">VsCode开发Java SpringBoot遇到的问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				报错截图 报错一:Build failed, Do you want to continue? 编译失败,你想继续吗? 报错二:ConfigError:The Project &quot;Demo&quot; is not a valid java project . 配置错误:这个项目不是一个正确的java项目 报错三:Classpath is incomplete . Only syntax errors will be reported. 类路径不完整,仅仅显示语法错误. 报错原因 VsCode 调			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MyRKWL0.html" rel="bookmark">java~springboot~h2数据库在单元测试中的使用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				单元测试有几点要说的 事实上springboot框架是一个tdd框架,你在进行建立项目时它会同时建立一个单元测试项目,而我们的代码用例可以在这个项目里完成,对于单元测试大叔有以下几点需要说明一下: 单元测试的用例之间不要有相互依赖 单元测试数据来源为本地,不要访问外部资源,外部数据库也是不行的 对于集成测试,每个控制器对应一个测试类,它们可以有统一的抽象基类,用来存储公用的属性,如数据对象,http对象等 引入相关依赖包 testCompile('com.h2database:h2') 下面对h			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/949DNA3.html" rel="bookmark" class="title">Android 四大组件------Activity</a>
					<div>
						一.定义软件打开的主activity 当用户点开软件时,系统会默认调用app中声明为&quot;launch&quot;(或者&quot;main&quot;)的activity中的onCreate( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MXYrqG0.html" rel="bookmark" class="title">论文---参考文献格式</a>
					<div>
						一.参考文献的类型 参考文献(即引文出处)的类型以单字母方式标识,具体如下: M——专著 C——论文集 N——报纸文章 J——期刊文章(包括大学学报) D——学位论文 R——报告 对于不属于上述的文献 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0n1mRXM.html" rel="bookmark" class="title">关于hibernate中对象的三种状态分析</a>
					<div>
						一,首先hibernate中对象的状态有三种:瞬态.游离态和持久态,三种状态转化的方法都是通过session来调用,瞬态到持久态的方法有save().saveOrUpdate().get().load ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4NJlq64.html" rel="bookmark" class="title">【编程语言】变量的存储时期&sol;作用域以及static&sol;extern的用法</a>
					<div>
						存储类:               存储时期       链接         内存管理 对于一个变量(不同的存储类型)可以通过存储时期,链接属性,以及相应的作用域来描述它. 存储时期就是变量在内存 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0eAXeb0.html" rel="bookmark" class="title">面向对象基础：对象的使用</a>
					<div>
						对象的使用方法 使用对象调用变量和函数: 对象.变量         对象.函数() 例如创建一个Dog类并使用对象 //类文件Dog class Dog{ String name;//首字母要大写  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3r2Lb13.html" rel="bookmark" class="title">sourcetree（mac）设置代理</a>
					<div>
						Mercurial: edit ~/.hgrcas shown here: http://www.selenic.com/mercurial/hgrc.5.html#http-proxy Git: e ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3rEa2X0.html" rel="bookmark" class="title">android常用组件之DatePicker和TimePicker</a>
					<div>
						在android中,DatePicker组件和TimePicker组件分别是日期选择器和时间选择器. 该实例中,当点击日期选择器按钮后,弹出日期选择框,用户选择日期后andoid会将日期显示到Text ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzQLvW4.html" rel="bookmark" class="title">第四百九十二天 how can I 坚持</a>
					<div>
						真是一心不可二用啊,二用会心累,分神.看着电视剧,看书,我说昨天怎么失眠了呢. lzg要改版,哎,枉我一直担心着项目. 下班去问了问换屏,换个三星s4才150,大老爷们就得有点担当.哎. 最近在看&l ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3ZDxDGM.html" rel="bookmark" class="title">UIScrollView现实自动循环滚动</a>
					<div>
						1 #import &quot;RootViewController.h&quot; 2 3 #define width [UIScreen mainScreen].bounds.size.width ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MzQWWq4.html" rel="bookmark" class="title">linux系统性能监控工具--htop与dstat介绍</a>
					<div>
						目录 一.htop工具使用简介 二.dstat工具使用简介 此博文针对linux系统介绍两款常用系统性能监控软件的基本使用,对于Linux系统我们一般要监控的对象有进程.cpu.内存.磁盘IO.swa ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MPZDYP3.html" rel="bookmark" class="title">C&num;基础--之数据类型</a>
					<div>
						c#基础篇--数据类型的区别和使用: 1.基本数据类型有哪些? 2.如何声明变量和赋值? 3.变量和常量的区别? 4.不同数据类型之间是如何转换的? 1.基本数据类型有哪些? 这里列举我学习的几个数据 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0ekk6Z4.html" rel="bookmark" class="title">正交原理的复数详细推导过程</a>
					<div>
						最开始学习正交原理是从实数学习的,当时觉得实数已经很好了,为什么要学习复杂的复数推导过程呢,随着慢慢的深入,发现复数才是更加通用的.这里就把学习中的推导笔记发上来,方便自己复习,也可以对其它正在学习这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41zXQJM.html" rel="bookmark" class="title">JNDI数据源局部配置（解决Cannot create JDBC driver of class &amp;&num;39&semi;&amp;&num;39&semi; for connect URL &amp;&num;39&semi;null&amp;&num;39&semi;）</a>
					<div>
						最开始,我是借鉴 孤傲苍狼的JNDI教程去做的,他讲得很详细,但是坏处也就是因为他讲的太详细.查了很多书,都是建议说不要用全局去配置JNDI,一是要修改tomcat的server.xml,容易破坏to ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/Mym8BpM.html" rel="bookmark" class="title">根据数据库输出XML菜单</a>
					<div>
						USE [test_YTHH] GO /****** Object:  StoredProcedure [dbo].[usp_Print_SCC_Menu]    Script Date: 04/08 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/3waE7QM.html" rel="bookmark" class="title">TCP&sol;IP协议族-----7、网际协议版本4（IPv4）</a>
					<div>
											</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0l7dEPM.html" rel="bookmark" class="title">自动清粪机的日常维护</a>
					<div>
						自动清粪机在日常使用中很容易出现问题,特别是在脏了以后,也不易清洁,今天润生养殖设备就在这里为大家简单介绍下自动清粪机的日常维护方法. 1. 当自动清粪机清粪带跑偏接近头端被动滚筒边沿10mm时,可以 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pL2kJ4.html" rel="bookmark" class="title">浅析C&num;中的托付</a>
					<div>
						托付是寻址方法的.NET版本号.在C++中.函数指针仅仅只是是一个指向内存位置的指针,它不是类型安全的.而.NET托付全然不同,托付是安全类型的类,它定义了返回类型和參数的类型. 当把方法传递给其它方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nLj5P4.html" rel="bookmark" class="title">字节和字符的差别</a>
					<div>
						字节和字符的定义在这里我就不写了.百度上有好多大家能够參考一下. 在学Java IO的时候,涉及到字节流和字符流,我就非常郁闷字节数组里存储的数据究竟是什么样子的. .. 好多次和男朋友讨论到这个概念 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MyQvAnM.html" rel="bookmark" class="title">JMeter接口HTTP请求implementation不选java会报错解决方法</a>
					<div>
						1.若不对c参数和d参数进行URL编码则需要选择implementation为java: 2.若想不设implementation值,则需进行c参数d参数URLEncoding 1 import ja ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0RmQeRM.html" rel="bookmark" class="title">MVVM&lpar;Model-View-View-Model&rpar;简单分析（及代码示例）</a>
					<div>
						项目组,现在用的MVVM(Model-View-View-Model)模式,搞了一个多月,感觉有点明白了. MVVM框架,仅限于我们用的WPF里,View用个文件夹:里面主要是界面(View)相关的. ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.031 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
